summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErvin Peters <coder@ervnet.de>2019-10-27 13:12:01 +0100
committerJoonas Niilola <juippis@gentoo.org>2019-11-09 10:00:33 +0200
commit8f9f387d520e5f5c11049fdde3d17ae60378ddef (patch)
treed06aaeca415dfacaddf7dbbcf06630aadda770c8
parentmedia-sound/teamspeak-server: drop old version (diff)
downloadgentoo-8f9f387d520e5f5c11049fdde3d17ae60378ddef.tar.gz
gentoo-8f9f387d520e5f5c11049fdde3d17ae60378ddef.tar.bz2
gentoo-8f9f387d520e5f5c11049fdde3d17ae60378ddef.zip
app-editors/scite: Version Bump to 4.2.1.
Actual enhancements and upstream bugfixes. Signed-off-by: Ervin Peters <ervin.peters@ervnet.de> Package-Manager: Portage-2.3.76, Repoman-2.3.16 Closes: https://github.com/gentoo/gentoo/pull/13464 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--app-editors/scite/Manifest1
-rw-r--r--app-editors/scite/scite-4.2.1.ebuild118
2 files changed, 119 insertions, 0 deletions
diff --git a/app-editors/scite/Manifest b/app-editors/scite/Manifest
index 0ab03bff310..51d8c69941b 100644
--- a/app-editors/scite/Manifest
+++ b/app-editors/scite/Manifest
@@ -1,2 +1,3 @@
DIST scite-4.1.3.tgz 2546247 BLAKE2B 9c0cd767e6aff861bb706500eebf5fa431d5ce608f37a9b19d2af7d558698eb3073a33fcdd0900abb549aa9ed65981a9f217dc1dae4b21be919c380d20d4ee8f SHA512 875dd44785e9c96a264df9061830c7ab51296061da7765084ec4445d7f529dabecebcfadc5a1d8cab9074ffd588903ca056ed5de0ae974d60a5c57b13d61550d
DIST scite-4.2.0.tgz 2629884 BLAKE2B f9801146a086faefb38b72d28e00da055191c44254e5a6d34ade06462febd6a2b596aa572dd7e16c7541b0fcc23ff5f97f462b8869440782fd51f71ddd16d4c9 SHA512 d0a46ed2a21057a4fa866ae9305c9893360376d8591a9414eab96f9cb91991a43f3bf824bbb9a00c606555686aafdc0dc4b4bb41bcc94fe5dc90064342914c5a
+DIST scite-4.2.1.tgz 2633438 BLAKE2B cddf23f60eb1791266e38eba03ed8708aa02e0d91470344b19bfad7519930691a4b6a79b1eed3ac06234509b20fbd6b299c13c48a6990e0d8ced1a99a1d01220 SHA512 b2ad499f1c4d1a15b009516d24186c7d84f48ccdd40d2e9ca614de3cf36725a710523beaacda499186f040869e87339c2292e23eec959c2cdaa5fedfbb94d565
diff --git a/app-editors/scite/scite-4.2.1.ebuild b/app-editors/scite/scite-4.2.1.ebuild
new file mode 100644
index 00000000000..d0d87359e82
--- /dev/null
+++ b/app-editors/scite/scite-4.2.1.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs xdg-utils
+
+MY_PV=${PV//./}
+DESCRIPTION="A very powerful, highly configurable, small editor with syntax coloring"
+HOMEPAGE="http://www.scintilla.org/SciTE.html"
+SRC_URI="https://www.scintilla.org/${PN}${MY_PV}.tgz -> ${P}.tgz"
+
+LICENSE="HPND lua? ( MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~arm-linux ~x86-linux"
+IUSE="lua"
+
+RDEPEND="
+ dev-libs/glib:=
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3=
+ x11-libs/pango
+ lua? ( >=dev-lang/lua-5:= )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${PN}/gtk"
+
+pkg_pretend() {
+ if tc-is-clang ; then
+ # need c++17 features
+ [[ "${MERGE_TYPE}" != "binary" &&
+ $(clang-major-version) -lt 5 ]] &&
+ die "Sorry, SCiTE uses C++17 Features and needs >sys-devel/clang-5
+ ($(clang-major-version))."
+
+ elif tc-is-gcc; then
+ # older gcc is not supported
+ [[ "${MERGE_TYPE}" != "binary" &&
+ $(gcc-major-version) -lt 7 ]] &&
+ die "Sorry, Scite uses C++17 Features, need >sys-devel/gcc-7."
+ else
+ die "Either gcc or clang should be configured for building scite"
+ fi
+}
+
+src_prepare() {
+ # remove hardcoded CC, Optimizations and clang unknown flags
+ sed -i "${WORKDIR}/scintilla/gtk/makefile" \
+ -e "s#^CC = gcc#CC = ${CC}#" \
+ -e "s#^CC = clang#CC = ${CC}#" \
+ -e "s#^CXX = clang++#CC = ${CXX}#" \
+ -e "s#-Os##" \
+ -e "s#-Wno-misleading-indentation##" \
+ || die "error patching /scintilla/gtk/makefile"
+
+ sed -i "${S}/makefile" \
+ -e "s#^CC = clang#CC = ${CC}#" \
+ -e "s#^CXX = clang++#CC = ${CXX}#" \
+ -e "s#-rdynamic#-rdynamic ${LDFLAGS}#" \
+ -e "s#-Os##" \
+ || die "error patching gtk/makefile"
+
+ # repair and enhance the .desktop file
+ sed -i "${S}/SciTE.desktop" \
+ -e "s#text/plain#text/\*;application/xhtml+xml#" \
+ -e "s#^Categories=\(.*\)#Categories=Development;#" \
+ || die "error patching /scite/gtk/SciTe.desktop"
+
+ # add the ebuild suffix as shell type for working with ebuilds
+ sed -i "${WORKDIR}/scite/src/perl.properties" \
+ -e "s#\*.sh;\*.bsh;#\*.ebuild;\*.sh;\*.bsh;#" \
+ || die "error patching /scite/src/perl.prperties"
+
+ # it seems that pwd here is ${S}, but user patches are relative to ${workdir}
+ # Bug #576162
+
+ cd "${WORKDIR}" || die "couldn't cd into ${WORKDIR}"
+ eapply_user
+}
+
+src_compile() {
+ # prepare make options
+ local emake_pars="GTK3=1"
+
+ if tc-is-clang ; then
+ emake_pars+=" CLANG=1"
+ fi
+
+ if ! use lua; then
+ emake_pars+=" NO_LUA=1"
+ fi
+
+ emake -C "${WORKDIR}/scintilla/gtk" "${emake_pars}"
+ emake "${emake_pars}"
+}
+
+src_install() {
+ emake DESTDIR="${ED}" install
+
+ # we have to keep this because otherwise it'll break upgrading
+ mv "${ED}/usr/bin/SciTE" "${ED}/usr/bin/scite" || die
+ dosym scite /usr/bin/SciTE
+ doman ../doc/scite.1
+ dodoc ../README
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}